#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
use strict;
use HTML::Template;
use PureMessage::Manager::Request qw($REQUEST %in %text);
use PureMessage::Manager::Response::Services;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Widget::Grid;
use PureMessage::Manager::Widget::Template;
use PureMessage::Manager::Lang;

my %vars;
my $WIDGET = new PureMessage::Manager::Widget;

my $r = $REQUEST->get_response( 'PureMessage::Manager::Response::Services',
                                'stderr_to_stdout' =>1
                              );

my $tb = $r->ToolBar(buttons=>[
                        [
                         {type=>'text', name=>'approve', text=>'Approve'},
                         {type=>'text', name=>'deny', text=>'Deny'},
                         {type=>'text', name=>'delete', text=>'Discard'}],
                        ]);


  $r->title('Request Queue');
  my $filter = <<EOF;
  <select>
    <option>
  </select>
EOF

  my $grid = $WIDGET->widget(CLASS => 'PureMessage::Manager::Widget::Grid',
                              name => 'QGRID',
                              data => [
                        ['whitelist','calvin@here.com',scalar(localtime(time)),'list add whitelist <BR> email','email','mr-t@a-team.com'],
                        ['blacklist','calvin@here.com',scalar(localtime(time)),'list add blacklist <BR> email','discard','mr-t@a-team.com'],
                        ['opt-out','calvin@here.com',scalar(localtime(time)),'list add optout','email'],
                        ['is-spam','calvin@here.com',scalar(localtime(time)),'archive /opt/pmx/isspam','discard','from: mr-t@a-team.com'],
                        ['whitelist','calvin@here.com',scalar(localtime(time)),'list add whitelist <BR> email','email','harry@cupboard-under-the-stairs.com'],
                            ],
                            page => 0,
                            selectable=>1,
                            paging => 0,
                            title=>'Open Requests',
                            columns=>6,
                            toolbar => $tb,
                            #special=> [ $filter ],
                            width=> "100%",
                            action=>'index.cgi',
                            padding=>'<BR> <BR>',
                            ddata => [

                                        {
                                          width=>"10%",
                                          description=>'Action',
                                          extra=>'nowrap',
                                        },

                                        {
                                          width=>"20%",
                                          description=>'Requestor',
                                          extra=>'nowrap',
                                        },

                                        {
                                          width=>"20%",
                                          description=>'Date',
                                          extra=>'nowrap',
                                        },

                                        { width=>'20%',
                                          description=>'Approve',
                                          extra=>'nowrap',
                                        },

                                        { width=>'20%',
                                          description=>'Deny',
                                          extra=>'nowrap',
                                        },
                                       {
                                          width=>"50%",
                                          description=>'Info',
                                          extra=>'nowrap',
                                        },

                                     ],
                          );

$r->add_part($grid,'rview');
$r->send();


