#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
use strict;
use HTML::Template;
use PureMessage::Manager::Request qw($REQUEST %in %text);
use PureMessage::Manager::Response::Services;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Widget::Grid;
use PureMessage::Manager::Widget::Template;
use PureMessage::Manager::Lang;

my %vars;
my $WIDGET = new PureMessage::Manager::Widget;

my $r = $REQUEST->get_response( 'PureMessage::Manager::Response::Services',
                                'stderr_to_stdout' =>1
                              );

my $tb = $r->ToolBar(buttons=>[
                        [
                         {type=>'text', name=>'Save', text=>'Save'},
                         {type=>'text', name=>'Cancel', text=>'Cancel'},
                        ]
                        ]);


  $r->title('Request Options');

 #act def op

# $WIDGET->option_list('refresh_int',$REFRESH,$in{refresh_int}||0,'',\@order)
 
  
  my @data;
  my $ACTIONS = { a => 'add to list',
                  b => 'archive',
                  c => 'discard',
                };

  my $opts = <<EOF;
 <input type=checkbox> Handle Automatically
EOF

  foreach ( qw( whitelist blacklist opt-out is-spam ) ) {
   push(@data,[ $_,$WIDGET->option_list("${_}_def",$ACTIONS,undef,''),$opts]);
  }

  my $grid = $WIDGET->widget(CLASS => 'PureMessage::Manager::Widget::Grid',
                              name => 'QGRID',
                              data => \@data,
                            page => 0,
                            selectable=>0,
                            paging => 0,
                            title=>'Open Requests',
                            columns=>4,
                            toolbar => $tb,
                            width=> "100%",
                            action=>'index.cgi',
                            padding=>'<BR> <BR>',
                            ddata => [

                                        {
                                          width=>"10%",
                                          description=>'Action',
                                          extra=>'nowrap',
                                        },

                                        {
                                          width=>"20%",
                                          description=>'Default',
                                          extra=>'nowrap',
                                        },

                                        {
                                          width=>"70%",
                                          description=>'Options',
                                          extra=>'nowrap',
                                        },

                                     ],
                          );

$r->add_part($grid,'rview');
$r->send();


