#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
# index.cgi


  #do './pmx-support-lib.pl';
  do '../web-lib.pl';
  &init_config();


# log types:
# webmin_log('install','package',$package-name,{'repository'=>$repo, 'status'=>$rc);
# webmin_log('upgrade','package',$package-name,{'repository'=>$repo, 'status'=>$rc);
# webmin_log('remove', 'package', $package, {'status'=>$rc});
# webmin_log('remove', 'repository', $_);
# webmin_log('save', 'repository', $name, $location);


sub parse_webmin_log {
	local ($user, $script, $action, $type, $object, $params, $long) = @_;
  
	if($action eq 'install'){
		my $status = $params->{'status'} ? 'succeeded' : 'failed';
		if($long){
			return text('install_log_long', $user, $object, $params->{repository}, $status);
		}
	}
	if($action eq 'upgrade'){
		my $status = $params->{'status'} ? 'succeeded' : 'failed';
		if($long){
			return text('upgrade_log_long', $user, $object, $params->{repository}, $status);
		}
	}
	if($action eq 'remove' and $type eq 'package'){
		my $status = $params->{'status'} ? 'succeeded' : 'failed';
		if($long){
			return text('remove_log_long', $user, $object, $status);
		}
	}
	if($action eq 'save'){
		if($long){
			return text('save_repo_log_long', $user, $object, $params);
		}
	}
	if($action eq 'remove' and $type eq 'repository'){
		# There is no point doing a long display for this one as there is no
		# extra information.
		return;
	}
	# logging module will just display the default if set to short or an unknown action
	return; 
}

