#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl

use strict;
use warnings;

use PureMessage::Manager::Request qw($REQUEST);
use PureMessage::Manager::Response;
use PureMessage::Manager::Response::Support::Snapshots;

my $r = $REQUEST->get_response(
    'PureMessage::Manager::Response::Support::Snapshots',
    'stderr_to_stdout' => 1
);

$r->title('snapshot_title');
$r->add_help(text => "Help", tab => "support", page => "mgr_support_snapshots" );
my $dir;

if($dir = $REQUEST->query("delete")) {
    $r->confirm_snapshot_action('delete' => $dir);
} elsif($dir = $REQUEST->query("restore")) {
    $r->confirm_snapshot_action('restore' => $dir);
} elsif($dir = $REQUEST->query("confirm_delete")) {
    $r->delete_snapshot($dir);
} elsif($dir = $REQUEST->query("confirm_restore")) {
    $r->restore_snapshot($dir);
} elsif($dir = $REQUEST->query("finish_restore")) {
    $r->finish_restore_snapshot($dir);
} elsif($dir = $REQUEST->query("view")) {
    $r->view_snapshot($dir);
} elsif(my $name = $REQUEST->query("create")) {
    $r->create_snapshot($name, $REQUEST->query("desc") || "");
} else {
    $r->list_snapshots();
}

$r->send();

1;
